# script to define some simple functions to show images

import cv2
from matplotlib import pyplot as plt

# function to show an image and close the window again with any key press
def showImage(image):
    cv2.imshow('your image',image)
    cv2.waitKey(0)
    cv2.destroyAllWindows()
	
# function to show the original image and the modified version
# assumes that plt is there...
def showOrMod(original, modified):
	plt.subplot(121),plt.imshow(original),plt.title('Original') 
	plt.xticks([]), plt.yticks([]) 
	plt.subplot(122),plt.imshow(modified),plt.title('Modified') 
	plt.xticks([]), plt.yticks([])
	plt.show()
	
# function to show the original and modified image but in grayscale
def showOrModGray(original, modified):
	plt.subplot(121),plt.imshow(original,'gray'),plt.title('Original') 
	plt.xticks([]), plt.yticks([]) 
	plt.subplot(122),plt.imshow(modified,'gray'),plt.title('Modified') 
	plt.xticks([]), plt.yticks([])
	plt.show()